%define major         5
%define majorminor    5.9
%define utf8libname   %mklibname %{name}w %{major}
%define libname       %mklibname %{name} %{major}
%define develname     %mklibname -d %{name}
%define utf8develname %mklibname -d %{name}w

Summary:	A CRT screen handling and optimization package
Name:		ncurses
Version:	5.9
Release:	%mkrel 17
License:	MIT
Group:		System/Libraries
Url:		http://www.gnu.org/software/ncurses/ncurses.html
Source0:	ftp://ftp.gnu.org/gnu/ncurses/%{name}-%{version}.tar.gz
Source4:	ncurses-resetall.sh
Source5:    	ncurses-usefull-terms
Patch1:		ncurses-5.9-20120616-patch.sh.bz2
Patch2:		ncurses-5.9-20120622-20130413.patch.xz
Patch3:		ncurses-5.9-20130427-20130511.patch.xz
Patch7:		ncurses-5.6-xterm-debian.patch
#to support rxvt-unicode 256 colors (bug 6835)
Patch11:	ncurses-5.9-urxvt.patch
BuildRequires:	gpm-devel
BuildRequires:	sharutils
Conflicts:	%{name}-extraterms < 5.6-1.20070721.1
Obsoletes:	termcap <= 11.0.1-21.mga3
Provides:	termcap = %{version}-%{release}

%description
The curses library routines are a terminal-independent method of updating
character screens with reasonalble optimization. The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

%package -n	%{libname}
Summary:	The development files for applications which use ncurses
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Requires:	ncurses = %{version}-%{release}

%description -n	%{libname}
The curses library routines are a terminal-independent method of updating
character screens with reasonalble optimization. The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

%package -n	%{utf8libname}
Summary:	Ncurses libraries which support UTF8
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Requires:	ncurses = %{version}-%{release}

%description -n	%{utf8libname}
The curses library routines are a terminal-independent method of updating
character screens with reasonalble optimization. The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

This package contains ncurses libraries which support wide char (UTF8),
and is not compatible with those without.

%package	extraterms
Summary:	Some exotic terminal descriptions
Group:		System/Libraries
Requires:	ncurses = %{version}-%{release}

%description	extraterms
Install the ncurses-extraterms package if you use some exotic terminals.

%package -n	%{develname}
Summary:	The development files for applications which use ncurses
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %name 5
Obsoletes:	%{mklibname -d termcap} <= 2.0.8-53.mga3
Provides:	%{mklibname -d termcap} = %{version}-%{release}
Provides:	termcap-devel = %{version}-%{release}
# (cg) NB Manual replication of the automatically extracted requires here
# because we replace the .so symlinks with files...
%ifarch x86_64
Provides:	libtermcap-devel = %{version}-%{release}
Provides:	devel(libncurses(64bit))
Provides:	devel(libtermcap(64bit))
%else
Provides:	devel(libncurses)
Provides:	devel(libtermcap)
%endif

%description -n	%{develname}
The header files and libraries for developing applications that use
the ncurses CRT screen handling and optimization package.

Install the ncurses-devel package if you want to develop applications
which will use ncurses.

%package -n	%{utf8develname}
Summary:	The development files for applications which use ncurses
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{develname} = %{version}-%{release}
Requires:	%{utf8libname} = %{version}-%{release}
Provides:	lib%{name}w-devel = %{version}-%{release}
Provides:	ncursesw-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name}w 5
Conflicts:	%{_lib}ncurses-devel < 5.7-3.20091128.2
# (cg) NB Manual replication of the automatically extracted requires here
# because we replace the .so symlinks with files...
%ifarch x86_64
Provides:	devel(libncursesw(64bit))
%else
Provides:	devel(libncursesw)
%endif

%description -n	%{utf8develname}
The libraries for developing applications that use ncurses CRT screen
handling and optimization package. Install it if you want to develop
applications which will use ncurses.

Note that the libraries included here supports wide char (UTF-8),
and is not compatible with those without. When linking programs with
these libraries, you will have to append a "w" to the library names,
i.e. -lformw, -lmenuw, -lncursesw, -lpanelw.

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch11 -p1 -b .urxvt

# regenerating configure needs patched autoconf, so modify configure
# directly
%patch7 -p1 -b .deb

find . -name "*.orig" | xargs rm -f
# fix some permissions
chmod 755 c++/edit_cfg.sh test/listused.sh test/configure test/tracemunch

%build
export PKG_CONFIG_LIBDIR=%{_libdir}/pkgconfig

%global ncurses_options \\\
	--without-libtool \\\
	--with-shared \\\
	--with-cxx-shared \\\
	--with-normal \\\
	--without-debug \\\
	--enable-overwrite \\\
	--without-profile \\\
	--with-gpm \\\
	--enable-getcap \\\
	--enable-const \\\
	--enable-hard-tabs \\\
	--enable-hash-map \\\
	--enable-no-padding \\\
	--enable-sigwinch \\\
	--without-ada \\\
	--enable-xmc-glitch \\\
	--enable-colorfgbg \\\
	--enable-pc-files \\\
	--with-pkg-config-libdir=%{_libdir}/pkgconfig \\\
	--with-termlib=tinfo \\\
	--with-chtype=long \\\
	--with-ospeed=unsigned \\\
	--with-xterm-kbs=DEL

mkdir -p ncurses-normal
pushd ncurses-normal
CONFIGURE_TOP=.. 
%configure2_5x \
	%{ncurses_options} \
	--disable-widec \
	--with-ticlib

%make -j1
popd

mkdir -p ncurses-utf8
pushd ncurses-utf8
CONFIGURE_TOP=.. 
%configure2_5x \
	%{ncurses_options} \
	--enable-widec \
	--without-progs

%make -j1
popd

%install
rm -rf %{buildroot}

make -C ncurses-normal DESTDIR=%{buildroot} install.{libs,progs,data}
rm -f %{buildroot}%{_libdir}/libtinfo.*
make -C ncurses-utf8 DESTDIR=%{buildroot} install.{libs,includes,man}

ln -sf ../l/linux %{buildroot}%{_datadir}/terminfo/c/console

# the resetall script
install -m 755 %{SOURCE4} %{buildroot}%{_bindir}/resetall
# we don't want this in doc
rm -f c++/demo

#
# FIXME
# OK do not time to debbug it now
#
cp %{buildroot}%{_datadir}/terminfo/x/xterm %{buildroot}%{_datadir}/terminfo/x/xterm2
cp %{buildroot}%{_datadir}/terminfo/x/xterm-new %{buildroot}%{_datadir}/terminfo/x/xterm


# We used to ship header files in ncurses subfolders, so replicate that structure
# Can't replace directory with symlink (rpm bug), so symlink all headers instead
mkdir -p %{buildroot}%{_includedir}/ncurses{,w}
for l in %{buildroot}%{_includedir}/*.h; do
    ln -s ../$(basename $l) %{buildroot}%{_includedir}/ncurses
    ln -s ../$(basename $l) %{buildroot}%{_includedir}/ncursesw
done

#
# remove unneeded/unwanted files
# have to be done before find commands below
#
rm -f %{buildroot}%{_libdir}/terminfo

# fwang: avoid conflict with kon package
rm -f %{buildroot}%{_datadir}/terminfo/k/kon

# as libtinfo is now build as a separate library, some symbols used to be in
# libncurses are now in libtinfo => drop private req and expose tinfo to linker
sed -i -e 's,Requires.private,Requires,g' %{buildroot}%{_libdir}/pkgconfig/ncurses*.pc

#
# FIXME
#
(cd %{buildroot} ; find usr/share/terminfo      -type d | perl -pe 's||%%dir /|') > %{name}.list
(cd %{buildroot} ; find usr/share/terminfo -not -type d | perl -pe 's||/|')       > %{name}-extraterms.list
perl -pe 's||%{_datadir}/terminfo/|' %{SOURCE5} >> %{name}.list

perl -ni -e 'BEGIN { open F, "%{name}.list"; /^%/ or $s{$_} = 1 foreach <F>; } print unless $s{$_}' %{name}-extraterms.list

%multiarch_includes %{buildroot}%{_includedir}/curses.h

# Don't require -ltinfo when linking with --no-add-needed
# This requires us to manually add the devel() provides that would normally
# be automatic but it's likely the lesser of two evils
for l in %{buildroot}%{_libdir}/libncurses{,w}.so; do
    soname=$(basename $(readlink $l))
    rm -f $l
    echo "INPUT($soname -ltinfo)" > $l
done

rm -f %{buildroot}%{_libdir}/libcurses{,w}.so
echo "INPUT(-lncurses)" > %{buildroot}%{_libdir}/libcurses.so
echo "INPUT(-lncursesw)" > %{buildroot}%{_libdir}/libcursesw.so

echo "INPUT(-ltinfo)" > %{buildroot}%{_libdir}/libtermcap.so

%files -f %{name}.list
%doc README ANNOUNCE
%{_datadir}/tabset
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*

%files -n %{libname}
%{_libdir}/libform.so.*
%{_libdir}/libmenu.so.*
%{_libdir}/libncurses.so.*
%{_libdir}/libncurses++.so.*
%{_libdir}/libpanel.so.*
%{_libdir}/libtic.so.*
%{_libdir}/libtinfo.so.*

%files -n %{utf8libname}
%{_libdir}/lib*w.so.*

%files extraterms -f %{name}-extraterms.list
%doc README

%files -n %{develname}
%doc doc c++ test
%{_libdir}/libcurses.a
%{_libdir}/libcurses.so
%{_libdir}/libform.a
%{_libdir}/libform.so
%{_libdir}/libmenu.a
%{_libdir}/libmenu.so
%{_libdir}/libncurses++.a
%{_libdir}/libncurses++.so
%{_libdir}/libncurses.a
%{_libdir}/libncurses.so
%{_libdir}/libpanel.a
%{_libdir}/libpanel.so
%{_libdir}/libtermcap.so
%{_libdir}/libtic.a
%{_libdir}/libtic.so
%{_libdir}/libtinfo.a
%{_libdir}/libtinfo.so
%{_libdir}/pkgconfig/form.pc
%{_libdir}/pkgconfig/menu.pc
%{_libdir}/pkgconfig/ncurses++.pc
%{_libdir}/pkgconfig/ncurses.pc
%{_libdir}/pkgconfig/panel.pc
%{_libdir}/pkgconfig/tic.pc
%{_libdir}/pkgconfig/tinfo.pc
%{_includedir}/*.h
%{_includedir}/ncurses
%multiarch %{multiarch_includedir}/curses.h
%{_mandir}/man3/*

%files -n %{utf8develname}
%{_includedir}/ncursesw
%{_libdir}/pkgconfig/*w.pc
%{_libdir}/lib*w.so
%{_libdir}/lib*w.a


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 5.9-17.mga4
+ Revision: 541168
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 colin <colin> 5.9-16.mga4
+ Revision: 495285
- Install utf8 version second such that full headers are available (same as fedora)

* Tue Oct 08 2013 colin <colin> 5.9-15.mga4
+ Revision: 493756
- Fix 32-bit fake devel() provides

* Tue Oct 08 2013 colin <colin> 5.9-14.mga4
+ Revision: 493748
- Provide fake .so's to allow linking of tinfo automatically for tgetent symbol
- Drop explicit file perms (not needed on real files; errors on symlinks)
- Do not ship two sets of ncurses headers

* Tue Oct 08 2013 colin <colin> 5.9-13.mga4
+ Revision: 493097
- Provide libtermcap support internally and enable libtic (mga#10940)

* Thu Oct 03 2013 wally <wally> 5.9-12.mga4
+ Revision: 490910
- don't mark tinfo require as private in ncurses*.pc files now when libtinfo is build as a separate library and some symbols used to be in libncurses are now in libtinfo

* Sat Sep 28 2013 luigiwalser <luigiwalser> 5.9-11.mga4
+ Revision: 488499
- update to patch 20130511 (sync with fedora)
- add libcurses++ shared library to files list

  + colin <colin>
    - Centralise common configuration options
    - Build the tinfo library (mga#10940)
    - Add --with-cxx-shared and --with-xterm-kbs=DEL flags (sync with Fedora)

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 tv <tv> 5.9-9.mga3
+ Revision: 286789
- build with --with-chtype=long (mga#7235)

* Wed Aug 29 2012 eatdirt <eatdirt> 5.9-8.mga3
+ Revision: 285363
- Adding support for rxvt-unicode-256

* Sat Jul 21 2012 colin <colin> 5.9-7.mga3
+ Revision: 273158
- Update for usrmove

* Sat Apr 28 2012 colin <colin> 5.9-6.mga2
+ Revision: 234096
- Fix pkgconfig file location
- Move libncursesw to / from /usr (mga#4372)

  + tv <tv>
    - drop patch 4 (uneeded, SEGV was due to ncurses vs ncursesw)
    - silent fix patch
    - update to patch 20120204
    - patch 4: try to fix drakx installer segfault

* Tue Mar 06 2012 tv <tv> 5.9-3.mga2
+ Revision: 220176
- update to patch 20110716

* Fri Jul 01 2011 fwang <fwang> 5.9-2.mga2
+ Revision: 117116
- new version 5.9

* Sat Jan 08 2011 blino <blino> 5.7-6.20100925.1.mga1
+ Revision: 843
- remove old ldconfig scriptlets
- imported package ncurses


* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 5.7-5.20100925.1mdv2011.0
+ Revision: 604235
- update file list

  + Rémy Clouard <shikamaru@mandriva.org>
    - update rxvt-unicode terminfo definition

* Thu Sep 30 2010 Funda Wang <fwang@mandriva.org> 5.7-4.20100925.1mdv2011.0
+ Revision: 582124
- New patch series

* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 5.7-4.20100731.1mdv2011.0
+ Revision: 566670
- New patches updated to 20100731

* Fri Apr 30 2010 Funda Wang <fwang@mandriva.org> 5.7-4.20091227.1mdv2010.1
+ Revision: 541252
- revert previous commit for version unfreeze

* Fri Apr 30 2010 Funda Wang <fwang@mandriva.org> 5.7-3.20100424.1mdv2010.1
+ Revision: 541215
- new rollpatch

* Thu Apr 08 2010 Rémy Clouard <shikamaru@mandriva.org> 5.7-3.20091227.2mdv2010.1
+ Revision: 533105
- add terminfo for rxvt-unicode (fix #42231)
- add rxvt-unicode to the list of useful terms so that it does not go into
  the extraterms subpackage

* Mon Dec 28 2009 Christophe Fergeau <cfergeau@mandriva.com> 5.7-3.20091227.1mdv2010.1
+ Revision: 483040
- update to latest patchset, fixes bug #56272

  + Pascal Terjan <pterjan@mandriva.org>
    - update patch series to 20091226

* Tue Dec 01 2009 Anssi Hannula <anssi@mandriva.org> 5.7-3.20091128.3mdv2010.1
+ Revision: 472448
- fix typo in conflicts (fixes #56135, noticed by Charles A Edwards)

* Mon Nov 30 2009 Funda Wang <fwang@mandriva.org> 5.7-3.20091128.2mdv2010.1
+ Revision: 471617
- move ncursesw.pc into w-devel

* Mon Nov 30 2009 Funda Wang <fwang@mandriva.org> 5.7-3.20091128.1mdv2010.1
+ Revision: 471609
- New patch series

* Sun Nov 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.7-3.20090516.2mdv2010.1
+ Revision: 471556
- enable pkgconfig support

* Sun May 17 2009 Funda Wang <fwang@mandriva.org> 5.7-3.20090516.1mdv2010.0
+ Revision: 376533
- New patch series

* Tue Feb 10 2009 Funda Wang <fwang@mandriva.org> 5.7-3.20090207.1mdv2009.1
+ Revision: 339223
- update upstream patches

* Tue Jan 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 5.7-3mdv2009.1
+ Revision: 329216
- spec file clean

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 5.7-2mdv2009.1
+ Revision: 317120
- rediffed one fuzzy patch
- fix build with -Werror=format-security (P6)

* Mon Nov 03 2008 Funda Wang <fwang@mandriva.org> 5.7-1mdv2009.1
+ Revision: 299340
- New version 5.7
- drop those old patches

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 5.6-1.20080927.2mdv2009.1
+ Revision: 296698
- multiarch fix

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 5.6-1.20080927.1mdv2009.1
+ Revision: 292653
- Updated patch series to 20080927

* Tue Aug 26 2008 Funda Wang <fwang@mandriva.org> 5.6-1.20080823.1mdv2009.0
+ Revision: 276118
- New patch series

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 5.6-1.20080705.1mdv2009.0
+ Revision: 234231
- revert  to previous path, as newer patch breaks building
- New patch series

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 21 2008 Funda Wang <fwang@mandriva.org> 5.6-1.20080517.1mdv2009.0
+ Revision: 209612
- New patches series

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 5.6-1.20071222.2mdv2009.0
+ Revision: 209479
- rebuilt with gcc43

  + Anssi Hannula <anssi@mandriva.org>
    - add ncursesw-devel provide

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 23 2007 Funda Wang <fwang@mandriva.org> 5.6-1.20071222.1mdv2008.1
+ Revision: 137328
- New snapshot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 07 2007 Funda Wang <fwang@mandriva.org> 5.6-1.20071103.1mdv2008.1
+ Revision: 106702
- patch updated to 20071103

* Tue Oct 30 2007 Funda Wang <fwang@mandriva.org> 5.6-1.20071020.1mdv2008.1
+ Revision: 103958
- add patch on 20071020

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 5.6-1.20071013.1mdv2008.1
+ Revision: 98261
- Patches updated on 20071013

* Tue Sep 18 2007 Anssi Hannula <anssi@mandriva.org> 5.6-1.20070901.3mdv2008.0
+ Revision: 89693
- rebuild due to package loss

* Fri Sep 07 2007 Funda Wang <fwang@mandriva.org> 5.6-1.20070901.2mdv2008.0
+ Revision: 81691
- fix conflict with kon2 package

* Tue Sep 04 2007 Funda Wang <fwang@mandriva.org> 5.6-1.20070901.1mdv2008.0
+ Revision: 79021
- Patch updated to 20070901

* Wed Aug 22 2007 Funda Wang <fwang@mandriva.org> 5.6-1.20070818.1mdv2008.0
+ Revision: 68756
- Patches updated to 20070818

* Fri Aug 10 2007 Funda Wang <fwang@mandriva.org> 5.6-1.20070728.1mdv2008.0
+ Revision: 61449
- add official 20070728 patch

* Tue Jul 24 2007 Funda Wang <fwang@mandriva.org> 5.6-1.20070721.1mdv2008.0
+ Revision: 55021
- Move cygwin and putty into main package
- do not provide old major
- Add patch on 20070721

* Wed Jul 18 2007 Funda Wang <fwang@mandriva.org> 5.6-1.20070716.2mdv2008.0
+ Revision: 53161
- Fix upgrading

* Tue Jul 17 2007 Funda Wang <fwang@mandriva.org> 5.6-1.20070716.1mdv2008.0
+ Revision: 52964
- New version
- New devel package policy


* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 5.5-1.20051029.4mdv2007.0
+ Revision: 74652
- bunzip patches
-This line, and those below, will be ignored--
  A    SOURCES/ncurses-5.5-20051015.patch
  D    SOURCES/ncurses-5.5-20051029.patch.bz2
  A    SOURCES/ncurses-5.5-20051029.patch
  D    SOURCES/ncurses-5.3-xterm-debian.patch.bz2
  A    SOURCES/ncurses-5.3-xterm-debian.patch
  D    SOURCES/ncurses-5.3-utf8.patch.bz2
  A    SOURCES/ncurses-5.3-utf8.patch
  D    SOURCES/ncurses-5.3-parallel.patch.bz2
  D    SOURCES/ncurses-5.5-20051022.patch.bz2
  D    SOURCES/ncurses-5.5-20051015.patch.bz2
  A    SOURCES/ncurses-5.3-parallel.patch
  A    SOURCES/ncurses-5.5-20051022.patch
  M    SPECS/ncurses.spec
- Import ncurses

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 5.5-1.20051029.3mdv2007.0
- Rebuild

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 5.5-1.20051029.2mdk
- fix %%_libdir/libncurses.so link

* Thu Nov 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 5.5-1.20051029.1mdk
- 5.5 with updated patches
- drop P6 & P8
- drop useless prereq

* Wed Jan 12 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.4-1.20050108.1mdk
- update patches to 20050108

* Thu Dec 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.4-1.20041211.1mdk
- update patches to 20041211

* Thu Dec 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.4-1.20041204.1mdk
- update patches to 20041204
- regenerate P6
- drop P7

* Sat Sep 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.4-1.20040529.2mdk
- fix deps for make -j4 at least

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.4-1.20040529.1mdk
- update patches to 20040529

* Tue May 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.4-1.20040501.1mdk
- update patches to 20040501
- reenable parallell build

* Sat Apr 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.4-1.20040403.1mdk
- update patch to 20040403

* Sat Apr 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.4-1.20040328.1mdk
- 5.4 (with patches up to 20040328)
- add P7 from fedora
- disable parallell build, broken:\
- correct url
- spec cosmetics
- drop P2 & P3

* Mon Feb 16 2004 Götz Waschk <waschk@linux-mandrake.com> 5.3-1.20040125.4mdk
- fix some rpmlint warnings
- fix broken symlinks in /usr/lib

* Tue Feb 10 2004 Abel Cheung <deaddog@deaddog.org> 5.3-1.20040125.3mdk
- Re-incorporate all wide char support changes

* Thu Jan 29 2004 Warly <warly@mandrakesoft.com> 5.3-1.20040125.2mdk
- reinclude Abel changes

* Wed Jan 28 2004 Warly <warly@mandrakesoft.com> 5.3-1.20040125.1mdk
- update patch to 20040125

* Sun Jan 04 2004 Abel Cheung <deaddog@deaddog.org> 5.3-1.20030215.7mdk
- Remove /usr/lib/terminfo symlink as it's just for compatilibity and
  nobody complain about it since -5mdk. And it adds headache for 64bit...

* Sun Jan 04 2004 Abel Cheung <deaddog@deaddog.org> 5.3-1.20030215.6mdk
- Package missing symlinks (thanks to Stefan's bot)

* Wed Nov 19 2003 Abel Cheung <deaddog@deaddog.org> 5.3-1.20030215.5mdk
- Enable wide char support and split into different libraries
- Patch5: Include wchar.h when necessary
- Patch6: Don't include -lncurses when progs link with -lncursesw
- Use configure2_5x and makeinstall_std to fix ugly build issues

* Mon Nov 17 2003 Stefan van der Eijk <stefan@eijk.nu> 5.3-1.20030215.4mdk
- rebuild 4 reupload (alpha)

